For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI reference
Get startedAPI reference
  • Agent Handler
      • GETList Tool Packs
      • POSTCreate Tool Pack
      • GETGet Tool Pack
      • DELDelete Tool Pack
      • PATCHUpdate Tool Pack
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Agent HandlerTool Packs

Get Tool Pack

GET
https://ah-api.merge.dev/api/v1/tool-packs/:id/
GET
/api/v1/tool-packs/:id/
$curl https://ah-api.merge.dev/api/v1/tool-packs/134e0111-0f67-44f6-98f0-597000290bb3/ \
> -H "Authorization: Bearer <token>"
200Tool Pack Response
1{
2 "id": "134e0111-0f67-44f6-98f0-597000290bb3",
3 "name": "Support Agent Tool Pack",
4 "description": "Ticketing connectors for support agent",
5 "connectors": [
6 {
7 "name": "Linear",
8 "slug": "linear",
9 "source_url": "https://linear.app",
10 "logo_url": "https://linear.app/favicon.ico",
11 "categories": [
12 "Project Management"
13 ],
14 "tools": [
15 {
16 "name": "create_issue",
17 "description": "Create a new issue in Linear"
18 }
19 ]
20 }
21 ]
22}
Retrieves a Tool Pack by ID
Was this page helpful?
Previous

Create Tool Pack

Next

Delete Tool Pack

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"
Agent Handler ID of the Tool Pack

Response

idstringRead-onlyformat: "uuid"
ID of the Tool Pack
namestring<=255 characters
Name of the Tool Pack
descriptionstring
Description of the Tool Pack
connectorslist of objectsRead-only
Connectors enabled with the Tool Pack